Skip to main content
POST
/
v1
/
annotate
curl --request POST \ --url https://api.superdoc.dev/v1/annotate \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "document": { "url": "https://example.com/template.docx" }, "fields": [ { "id": "customer_name", "type": "text", "value": "John Doe" } ] } '
{
  "document": {
    "base64": "<string>",
    "contentType": "<string>"
  }
}

Authorizations

Authorization
string
header
required

API key authentication. Keys start with sd_

Query Parameters

to
enum<string>

Output format for the annotated document (defaults to docx)

Available options:
docx,
pdf

Body

application/json
document
object
required

DOCX input provided as either base64 or URL

fields
object[]
required

Field entries containing id/group, type, value, and optional options

Response

Annotated DOCX output encoded as a base64 data URI

Annotated DOCX output encoded as a base64 data URI

document
object
required